I'm running into a problem compiling several PHP extensions that depend on expat. They die with an error like the following:


***************

===>   fontconfig-2.2.3,1 depends on shared library: expat.5 - not found
===>    Verifying install for expat.5 in /usr/ports/textproc/expat2
===>   Returning to build of fontconfig-2.2.3,1
Error: shared library "expat.5" does not exist
*** Error code 1

Stop in /usr/ports/x11-fonts/fontconfig.
*** Error code 1

Stop in /usr/ports/x11/xorg-libraries.
*** Error code 1

Stop in /usr/ports/devel/t1lib.
*** Error code 1

Stop in /usr/ports/graphics/php5-gd.
*** Error code 1

Stop in /usr/ports/lang/php5-extensions.

******************

I have the following in /usr/ports/local:

-rw-r--r--  1 root  wheel  158440 Jun 23 11:03 /usr/local/lib/libexpat.a
-rwxr-xr-x  1 root  wheel     793 Jun 23 11:03 /usr/local/lib/libexpat.la
lrwxr-xr-x 1 root wheel 13 Jun 23 11:03 /usr/local/lib/libexpat.so -> libexpat.so.6
-rwxr-xr-x  1 root  wheel  157398 Jun 23 11:03 /usr/local/lib/libexpat.so.6

But not expat*

It would seem that fontconfig is looking explicitly for expat.5 and that perhaps the name of the library has changed?

LIB_DEPENDS=    freetype.9:${PORTSDIR}/print/freetype2 \
                expat.5:${PORTSDIR}/textproc/expat2

I did follow this advice in UPGRADING, to no avail: "Users of expat2 (and its many dependencies) should do the following to properly update expat2 and all of its dependencies: portupgrade -rf textproc/expat2"

Any suggestions about how to fix or work around this issue?

_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to